public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: net-misc/cernbox-client/
Date: Sun, 21 Feb 2021 16:33:58 +0000 (UTC)	[thread overview]
Message-ID: <1613925032.5eae9bd45721dfd5ba1a9092195993b94d15f687.andrewammerlaan@gentoo> (raw)

commit:     5eae9bd45721dfd5ba1a9092195993b94d15f687
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sun Feb 21 16:22:52 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Feb 21 16:30:32 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=5eae9bd4

net-misc/cernbox-client: Bump to 2.7.6.3261.

Follows new version of net-misc/owncloud-client.

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 .../cernbox-client-2.7.6.3261.ebuild               | 96 ++++++++++++++++++++++
 1 file changed, 96 insertions(+)

diff --git a/net-misc/cernbox-client/cernbox-client-2.7.6.3261.ebuild b/net-misc/cernbox-client/cernbox-client-2.7.6.3261.ebuild
new file mode 100644
index 000000000..2eb01cf8e
--- /dev/null
+++ b/net-misc/cernbox-client/cernbox-client-2.7.6.3261.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake rpm xdg
+
+DESCRIPTION="Synchronize files from CERNBox EOS with your computer"
+
+# Origin is classic owncloud-client, branded for CERN during compilation.
+ORIGIN_PN="ownCloud"
+BRANDED_P="cernbox"
+BRANDED_PV="2.7.1"
+BRANDED_REL="2596"
+HOMEPAGE="https://cernbox.cern.ch/"
+SRC_URI="http://download.owncloud.com/desktop/${ORIGIN_PN}/stable/${PV}/source/${ORIGIN_PN}-${PV}.tar.xz
+	https://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_7/src/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm
+	https://cern.ch/ofreyerm/gentoo/cernbox/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm"
+
+LICENSE="CC-BY-3.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc dolphin gnome-keyring nautilus test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+	dev-libs/qtkeychain[gnome-keyring?,qt5(+)]
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5[ssl]
+	dev-qt/qtsql:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	sys-fs/inotify-tools
+	dolphin? (
+		kde-frameworks/kcoreaddons:5
+		kde-frameworks/kio:5
+	)
+	nautilus? ( dev-python/nautilus-python )"
+
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+	dev-qt/linguist-tools:5
+	kde-frameworks/extra-cmake-modules
+	doc? (
+		dev-python/sphinx
+		dev-tex/latexmk
+		dev-texlive/texlive-latexextra
+		virtual/latex-base
+	)
+	test? (
+		dev-util/cmocka
+		dev-qt/qttest:5
+	)"
+
+RESTRICT="!test? ( test )"
+
+S=${WORKDIR}/${ORIGIN_PN}-${PV}
+
+src_unpack() {
+	rpm_src_unpack ${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm || die "failed to extract branding RPM"
+	mv ${PN%-*}-${BRANDED_PV}.${BRANDED_REL}/branding "${S}" || die "failed to extract branding"
+}
+
+src_prepare() {
+	# Keep tests in ${T}
+	sed -i -e "s#\"/tmp#\"${T}#g" test/test*.cpp || die
+
+	if ! use nautilus; then
+		pushd shell_integration > /dev/null || die
+		cmake_comment_add_subdirectory nautilus
+		popd > /dev/null || die
+	fi
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+		-DCMAKE_DISABLE_FIND_PACKAGE_Sphinx=$(usex !doc)
+		-DBUILD_SHELL_INTEGRATION_DOLPHIN=$(usex dolphin)
+		-DBUILD_TESTING=$(usex test)
+	)
+
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	if ! use doc ; then
+		elog "Documentation and man pages not installed"
+		elog "Enable doc USE-flag to generate them"
+	fi
+	xdg_pkg_postinst
+}


             reply	other threads:[~2021-02-21 16:34 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-21 16:33 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-28  7:26 [gentoo-commits] proj/sci:master commit in: net-misc/cernbox-client/ Andrew Ammerlaan
2023-08-16 11:29 Andrew Ammerlaan
2023-05-22 13:28 Andrew Ammerlaan
2023-05-22 13:28 Andrew Ammerlaan
2022-11-15 21:08 Andrew Ammerlaan
2022-09-27 10:23 Andrew Ammerlaan
2022-09-27 10:23 Andrew Ammerlaan
2022-06-18 14:23 Andrew Ammerlaan
2022-01-23 10:26 Andrew Ammerlaan
2022-01-23 10:26 Andrew Ammerlaan
2021-12-17 10:44 Andrew Ammerlaan
2021-10-26 10:44 Andrew Ammerlaan
2021-10-26 10:44 Andrew Ammerlaan
2021-06-05 18:55 Andrew Ammerlaan
2021-06-05 18:55 Andrew Ammerlaan
2021-02-21 16:33 Andrew Ammerlaan
2021-02-06  4:50 Andrew Ammerlaan
2021-01-03 19:21 Horea Christian
2018-04-02 12:45 Justin Lecher
2017-04-03 14:55 Marius Brehler
2017-03-16 19:35 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1613925032.5eae9bd45721dfd5ba1a9092195993b94d15f687.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox